import { useLocation, A } from "@solidjs/router";
import { For } from "solid-js";

export default function Nav() {
  const location = useLocation();
  const active = (path: string) =>
    path == location.pathname
      ? "border-sky-600"
      : "border-transparent hover:border-sky-600";

  const menuItems = [
    {
      name: "News",
      link: "/news",
    },
    {
      name: "Network",
      link: "/network",
    },
    {
      name: "Peering",
      link: "/peering",
    },
    {
      name: "Association",
      link: "/association",
    },
    // {
    //   name: "Stats",
    //   link: "/statistics",
    // },
  ];
  return (
    <div class="drawer">
      <input id="my-drawer-3" type="checkbox" class="drawer-toggle" />
      <div class="drawer-content flex flex-col p-4 fixed w-full top-0 z-10">
        <header class="navbar backdrop-blur-md bg-base-200/50 shadow-xl">
          <div class="navbar-start">
            <div class="flex-none lg:hidden">
              <label
                for="my-drawer-3"
                aria-label="open sidebar"
                class="btn btn-square btn-ghost"
              >
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  class="inline-block w-6 h-6 stroke-current"
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M4 6h16M4 12h16M4 18h16"
                  />
                </svg>
              </label>
            </div>
            <A class="btn btn-ghost text-xl" href="/">
              <img src="/assets/ddix-logo.svg" class="h-full py-2" />
            </A>
          </div>

          <div class="navbar-end hidden lg:flex gap-2">
            <For each={menuItems}>
              {(item) => (
                <A class="btn btn-ghost" href={item.link}>
                  {item.name}
                </A>
              )}
            </For>
          </div>
        </header>
        {/* Content */}
      </div>
      <div class="drawer-side z-20">
        <label
          for="my-drawer-3"
          aria-label="close sidebar"
          class="drawer-overlay"
        ></label>
        <nav class="menu p-4 w-80 min-h-full bg-base-200">
          <ul>
            <li>
              <A class="btn btn-ghost text-xl" href="/">
                <img src="/assets/ddix-logo.svg" class="h-full py-2" />
              </A>
            </li>
            <For each={menuItems}>
              {(item) => (
                <li>
                  <A class="btn btn-ghost" href={item.link}>
                    {item.name}
                  </A>
                </li>
              )}
            </For>
          </ul>
        </nav>
      </div>
    </div>
    // <header class="p-4 fixed w-full top-0 z-10">
    //   <div class="navbar backdrop-blur-md bg-base-200/50 shadow-xl">
    //     <div class="navbar-start">
    //       <div class="dropdown">
    //         <div tabindex="0" role="button" class="btn btn-ghost lg:hidden">
    //           <svg
    //             xmlns="http://www.w3.org/2000/svg"
    //             class="h-5 w-5"
    //             fill="none"
    //             viewBox="0 0 24 24"
    //             stroke="currentColor"
    //           >
    //             <path
    //               stroke-linecap="round"
    //               stroke-linejoin="round"
    //               stroke-width="2"
    //               d="M4 6h16M4 12h8m-8 6h16"
    //             />
    //           </svg>
    //         </div>
    //         <ul
    //           tabindex="0"
    //           class="menu menu-sm dropdown-content mt-3 z-[1] p-2 shadow bg-base-100 rounded-box w-52"
    //         >
    //           <li>
    //             <a>Item 1</a>
    //           </li>
    //           <li>
    //             <a>Parent</a>
    //             <ul class="p-2">
    //               <li>
    //                 <a>Submenu 1</a>
    //               </li>
    //               <li>
    //                 <a>Submenu 2</a>
    //               </li>
    //             </ul>
    //           </li>
    //           <li>
    //             <a>Item 3</a>
    //           </li>
    //         </ul>
    //       </div>
    //       <A class="btn btn-ghost text-xl" href="/">
    //         <img src="/assets/ddix-logo.svg" class="h-full p-2" />
    //       </A>
    //     </div>
    //     <div class="navbar-end">
    //       <A class="btn btn-ghost mr-2" href="/statistics">
    //         Stats
    //       </A>
    //       <A class="btn btn-ghost mr-2" href="/news">
    //         News
    //       </A>
    //       <A class="btn btn-ghost" href="/network">
    //         Network
    //       </A>
    //     </div>
    //   </div>
    // </header>
  );
}
